Summary: An embeddable LISP environment.
Name: librep
Version: 0.10
Release: 2
Copyright: GPL
Group: Development/Languages
Source: ftp://librep.sourceforge.net/pub/librep/librep-%{version}.tar.gz
URL: http://librep.sourceforge.net/
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Prereq: /sbin/install-info

%description
Librep is a dialect of LISP for use embedded in other applications or
on its own. Librep is mostly (but not fully) compatible with Emacs
LISP. Librep contains a LISP interpreter, a byte-code compiler and a
virtual machine. Applications can use the LISP interpreter as an
extension language, or it can be used for standalone scripts.

%package devel
Summary: Include files and link libraries for librep development.
Group: Development/Languages
Requires: librep = %{version}

%description devel
The link libraries and C header files for librep development. Librep
is an embeddable dialect of LISP.

%prep
%setup
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-readline --prefix %{_prefix} %{_host}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
make install \
    prefix=$RPM_BUILD_ROOT%{_prefix} \
    aclocaldir=$RPM_BUILD_ROOT%{_prefix}/share/aclocal
gzip -9nf $RPM_BUILD_ROOT%{_prefix}/info/librep*

find $RPM_BUILD_ROOT -type f -name "*.so*" -exec strip --strip-unneeded {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README etc/TODO
%{_prefix}/bin/rep
%{_prefix}/bin/rep-remote
%{_prefix}/lib/librep.so.*.*
%{_prefix}/share/rep/%{version}/lisp/*.jl
%{_prefix}/share/rep/%{version}/lisp/*.jlc
%{_prefix}/share/rep/%{version}/DOC.*
%{_prefix}/libexec/rep/%{version}/%{_host}/lib*.so*
%{_prefix}/libexec/rep/%{version}/%{_host}/lib*.la
%{_prefix}/info/librep*

%files devel
%defattr(-,root,root)
%{_prefix}/bin/rep-config
%{_prefix}/bin/repdoc
%{_prefix}/lib/librep.a
%{_prefix}/lib/librep.so
%{_prefix}/include/rep.h
%{_prefix}/include/rep_*.h
%{_prefix}/libexec/rep/%{_host}/libtool
%{_prefix}/libexec/rep/%{_host}/rules.mk
%{_prefix}/share/aclocal/rep.m4

%post
/sbin/ldconfig
/sbin/install-info /usr/info/librep.info.gz /usr/info/dir

%postun -p /sbin/ldconfig

%preun 
if [ $1 = 0 ]; then
	/sbin/install-info --delete /usr/info/librep.info.gz /usr/info/dir
fi

%changelog
* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- add install-info stuff

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.10
- don't pacakge ldconfig symlinks

* Thu Nov 11 1999 Michael K. Johnson <johnsonm@redhat.com>
- Remove stack tracing on alpha in order not to trigger internal
  compiler error.  Should be reverted when we get a newer
  compiler; development gcc has this fixed.

* Wed Nov 10 1999 Michael K. Johnson <johnsonm@redhat.com>
- post{,un} use -p

* Mon Sep 13 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.5 spec file update: added buildroot
